Bug 1753068 - hw: Fully integrated voltage regulation error condition handling (FIVR)
Summary: hw: Fully integrated voltage regulation error condition handling (FIVR)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1765393 1765394 1765395 1765396 1765397 1765398 1765399 1765400 1765401 1765402 1765403 1765404 1766956 1767758 1771654
Blocks: 1752312
TreeView+ depends on / blocked
 
Reported: 2019-09-18 02:06 UTC by Wade Mealing
Modified: 2021-10-25 22:11 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-10-25 22:11:42 UTC
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2019:3845 0 None None None 2019-11-12 21:37:11 UTC
Red Hat Product Errata RHEA-2019:3846 0 None None None 2019-11-12 22:38:12 UTC

Description Wade Mealing 2019-09-18 02:06:18 UTC
Contemporary Intel processors integrate a piece of logic known as a VR (Voltage Regulator), used to manage the amount of power provided to certain parts of the processor. It is this logic that is responsible for adjusting voltage whenever certain parts of the design are power gated (disabled), or enabled. An example of this is the AVX unit on recent processors, which will be power gated when not recently used. A defect in the design of the FIVR allows erroneous response to so-called 0mv (no adjustment) messages to the FIVR under certain conditions.

A microcode update will disable the FIVR 0mv adjustment logic.

Comment 6 Wade Mealing 2019-11-12 08:24:42 UTC
Acknowledgements:

Red Hat thanks Intel for reporting this issue and collaborating on the mitigations.

Comment 7 Prasad Pandit 2019-11-12 10:09:24 UTC
Statement:

Red Hat Product Security is aware of this issue. Updates will be released as they become available. For additional information, please refer to the Red Hat Knowledgebase article: https://access.redhat.com/solutions/2019-microcode-nov

Comment 8 Prasad Pandit 2019-11-12 10:09:27 UTC
External References:

https://access.redhat.com/solutions/2019-microcode-nov

Comment 9 Prasad Pandit 2019-11-12 10:09:31 UTC
Mitigation:

As of this time there are no known mitigations. Please install relevant updated packages to address this flaw.

Comment 10 Prasad Pandit 2019-11-12 18:13:28 UTC
Created microcode_ctl tracking bugs for this issue:

Affects: fedora-all [bug 1771654]


Note You need to log in before you can comment on or make changes to this bug.